=== debian/changelog ===
base-passwd (1.3.1) frozen unstable; urgency=low

  * Added qmail uids/gid from Christian Hudon

 -- Galen Hazelwood <galenh@micron.net>  Fri, 28 Mar 1997 11:51:02 -0700

base-passwd (1.3.0) unstable; urgency=low

  * New maintainer
  * Fixed majordomo and postgres problems (fixes bugs #3002, #4295)
  * Removed entries above 99 (fixes bug #4849)
  * Fixed SmartList name (fixes bug #7838)
  * Added shadow group with gid 42
  
 -- Galen Hazelwood <galenh@micron.net>  Fri, 7 Mar 1997 13:00:17 -0700

base-passwd (1.2.0-5) unstable; urgency=low

  * Changed UID for Gnats to 41, and added a Gnats group (GID 41) at the
    request of Brian C. White.

 -- Philippe Troin <phil@fifi.org>  Thu, 16 Jan 1997 01:05:28 -0800

base-passwd (1.2.0-4) unstable; urgency=low

  * Changed the home directory for the list entry from /var to /var/list.

 -- Philippe Troin <phil@fifi.org>  Mon, 6 Jan 1997 20:35:33 -0800

base-passwd (1.2.0-3) frozen unstable; urgency=low

  * Removed the ftp entry from both passwd and group.
  * Removed the unnecessary users root for group root and nobody for group
    nogroup.
  * Added a UID and GID for `list' (ID 38)
  * Added a UID and GID for `irc' (ID 39)

 -- Philippe Troin <phil@fifi.org>  Thu, 21 Nov 1996 00:46:37 -0800

base-passwd (1.2.0-2) frozen unstable; urgency=low

  * Changed debian/rules not to use debmake.
  * Fixed the sudo entry in /etc/group.

 -- Philippe Troin <phil@fifi.org>  Mon, 18 Nov 1996 00:58:58 -0800

base-passwd (1.2.0-1) unstable; urgency=low

  * Initial Release.

 -- Bruce Perens <bruce@beagle.pixar.com>  Wed, 13 Nov 1996 18:38:10 -0800

Local variables:
mode: debian-changelog
End:
