=== debian/control ===
Source: base-passwd
Section: base
Priority: required
Maintainer: Galen Hazelwood <galenh@micron.net>
Standards-Version: 2.1.1.0

Package: base-passwd
Architecture: all
Description:
 This package provides the /etc/passwd and /etc/group files containing
 Debian-allocated user and group IDs.
Essential: yes
Replaces: base
