=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified
#
# Modified to be a prototype for debmake by Christoph Lameter <clameter@debian.org>

package=base-passwd

build:
	$(checkdir)
	make

	touch build

clean:
	$(checkdir)
	-rm -f build
	-make clean
	-rm `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core

binary-arch:	checkroot build
	$(checkdir)
# There are no architecture-dependent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-indep:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp/etc
	make install DESTDIR=debian/tmp
	install -d debian/tmp/DEBIAN
	cp debian/{control,conffiles} debian/tmp/DEBIAN
	install -d debian/tmp/usr/doc/${package}
	cp debian/changelog debian/tmp/usr/doc/${package}/changelog.Debian
	gzip -9v debian/tmp/usr/doc/${package}/changelog.Debian
	cp debian/README debian/tmp/usr/doc/${package}/README.Debian
	gzip -9v debian/tmp/usr/doc/${package}/README.Debian
	cp debian/copyright debian/tmp/usr/doc/${package}/copyright
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go-ws debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	#test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
