## base-passwd 2.0.3.3

=== Makefile ===
# Your basic brain-dead makefile.  Not too smart, but it does the job.

CC=gcc -DMISERABLE_FTP_HACK
CFLAGS = -g -Wall
LDFLAGS =

update-passwd: update-passwd.o
	$(CC) $(LDFLAGS) -o update-passwd update-passwd.o

clean:
	rm -f update-passwd update-passwd.o
