=== debian/changelog ===
base-passwd (2.0.3.3) frozen unstable; urgency=high

  * update-passwd.c (main): on --sanity-check exit both on failure *and*
    success (with an appropriate return value).
  * update-passwd.c (main): run sanity_check() unconditionally.
  * update-passwd.c (sanity_check): more descriptive error message.
  * README: correct location of master /etc/passwd and /etc/group.

 -- James Troup <jjtroup@comp.brad.ac.uk>  Fri, 22 May 1998 18:29:09 +0200

base-passwd (2.0.3.2) frozen unstable; urgency=low

  * Non-maintainer release.  
  * debian/rules: swap binary-indep and binary-arch. [#20219, #20766]
  * update-passwd.8: refer to /usr/share/base-passwd/ not
    /usr/lib/base-passwd/. [#20917]
  * passwd.master: backup's home directory is /var/backups. [#20462]

 -- James Troup <jjtroup@comp.brad.ac.uk>  Mon, 13 Apr 1998 00:07:45 +0200

base-passwd (2.0.3.1) unstable; urgency=HIGH

  * Emergency release; don't call update-passwd in postinst

 -- Galen Hazelwood <galenh@micron.net>  Thu, 19 Mar 1998 19:04:53 -0700

base-passwd (2.0.3) unstable; urgency=low

  * Added special hack to move ftp user out of slot 11 (#12826)
  * Moved into unstable (at last!)

 -- Galen Hazelwood <galenh@micron.net>  Sun, 15 Mar 1998 15:40:49 -0700

base-passwd (2.0.2) experimental; urgency=low

  * Removed dos uid/gid
  * Changed majordom's full name to "Majordomo" (#13766)
  * Fixed unbelievably stupid bug in update-passwd (#13765, #13862)

 -- Galen Hazelwood <galenh@micron.net>  Tue, 14 Oct 1997 12:15:58 -0600

base-passwd (2.0.1) experimental; urgency=low

  * Fixed gnats home directory (#11073, #12655)
  * update-passwd now enforces correct passwd/group file permissions
  * Moved master files to /usr/share/base-passwd

 -- Galen Hazelwood <galenh@micron.net>  Mon, 15 Sep 1997 13:19:30 -0600

base-passwd (2.0.0) experimental; urgency=low

  * New utility "update-passwd" to automatically handle passwd/group updates
  (#6502, #7792)	
  * /etc/passwd and /etc/group are now detached from any package
  * Moved master files to /usr/lib/base-passwd

 -- Galen Hazelwood <galenh@micron.net>  Sat,  6 Sep 1997 17:11:37 -0600

base-passwd (1.3.2) unstable; urgency=low

  * Added msql uid/gid (#12140)
  * Added one-line description (#10167)

 -- Galen Hazelwood <galenh@micron.net>  Mon, 18 Aug 1997 15:34:00 -0600
