=== debian/control ===
Source: base-passwd
Section: base
Priority: required
Maintainer: Galen Hazelwood <galenh@micron.net>
Standards-Version: 2.3.0.0

Package: base-passwd
Architecture: any
Depends: ${shlibs:Depends}
Essential: yes
Replaces: base
Description: Debian Base System Password/Group Files
 This package provides the master /etc/passwd and /etc/group files, 
 containing Debian-allocated user and group IDs, plus the update-passwd
 utility to keep them up to date.
