## base-passwd 3.1.10

=== debian/changelog ===
base-passwd (3.1.10) stable unstable; urgency=high

  * Call update-passwd with --dry-run when testing for needed changes
    Closes: Bug#74494

 -- Wichert Akkerman <wakkerma@debian.org>  Wed, 11 Oct 2000 17:10:42 +0200

base-passwd (3.1.9) stable unstable; urgency=low

  * Fix typo: we run update-passwsd instead of uppdate-modules.
    Closes: Bug#73668,#74209
  * Modify postinst to not output anything if we're not doing anything,
    and clarify the messages in case something does need to be done.
    Closes: Bug#74106

 -- Wichert Akkerman <wakkerma@debian.org>  Sun,  8 Oct 2000 00:50:21 +0200

base-passwd (3.1.8) stable unstable; urgency=low

  * Leave a backup file for modified files. Closes: Bug#72916
  * Update code to atomically replace a file to be more modular
  * Modified --dry-run output to only list modification instead of
    detailed actions. This makes the postinst output simpler.
  * Abort on errors in the postinst
  * Update texts in postinst to better explain what we are doing

 -- Wichert Akkerman <wakkerma@debian.org>  Mon,  2 Oct 2000 23:58:59 +0200

base-passwd (3.1.7) unstable; urgency=low

  * Remove qmail accounts, but mark them as special in update-passwd so
    we don't automatically remove them
  * Reserve uids 64010-64016 and gid 64010 for qmail
  * Update README to reflect that we don't always reserve uid&gid pairs

 -- Wichert Akkerman <wakkerma@debian.org>  Fri, 14 Jan 2000 01:41:55 +0100

base-passwd (3.1.6) unstable; urgency=high

  * Merge patches from Gordon Matzigkeit <gord@fig.org>:
    + handle broken returnvalue for fget*ent_r from glibc2.0, Closes: #54120
    + if lchown doesn't work also try chown, Closes: #54121

 -- Wichert Akkerman <wakkerma@debian.org>  Fri,  7 Jan 2000 23:54:44 +0100

base-passwd (3.1.5) unstable; urgency=high

  * Fix an embarrasing error in copy_group

 -- Wichert Akkerman <wakkerma@debian.org>  Wed,  1 Dec 1999 16:35:54 +0100

base-passwd (3.1.4) unstable; urgency=low

  * Don't print an error if the shadow-file doens't exist

 -- Wichert Akkerman <wakkerma@debian.org>  Wed,  1 Dec 1999 16:23:01 +0100

base-passwd (3.1.3) unstable; urgency=medium

  * Fix typo in printf format in putgrent()
  * Don't override compilation options in debian/rules

 -- Wichert Akkerman <wakkerma@debian.org>  Wed,  1 Dec 1999 15:53:36 +0100

base-passwd (3.1.2) unstable; urgency=medium

  * Check gr_mem for NULL in our putgrent substitute

 -- Wichert Akkerman <wakkerma@debian.org>  Wed,  1 Dec 1999 01:44:46 +0100

base-passwd (3.1.1) unstable; urgency=medium

  * Bump Standards-Version to 3.1.1 (nicely in sync with our own version :)
  * Add missing fallback-return for scan_users
  * Index special users by id instead of name so we can handle strangely
    named entries (like proftp'd anonftp or root-aliases) 
  * Update the README

 -- Wichert Akkerman <wakkerma@debian.org>  Tue, 30 Nov 1999 17:02:27 +0100

base-passwd (3.1) unstable; urgency=medium

  * autoconfed the source so we can detect systems without putgrent()
    and provide use our own implementation of putgrent 
  * Don't abort if the shadow-file doesn't exist
  * Add new logic to make users special. Use this to remove the special
    cases for root and ftp and keep the homedirectory for www-data.
  * Update README to document new behaviour

 -- Wichert Akkerman <wakkerma@debian.org>  Tue, 30 Nov 1999 15:59:34 +0100

base-passwd (3.0.7) unstable; urgency=low

  * We no longer need to add the utmp-group manually in the postinst,
    update-passwd will do that for us.

 -- Wichert Akkerman <wakkerma@debian.org>  Mon, 29 Nov 1999 17:57:15 +0100
 

base-passwd (3.0.6) unstable; urgency=low

  * Fix slight error in postinst
  * Change the wording of messages in the postinst

 -- Wichert Akkerman <wakkerma@debian.org>  Mon, 29 Nov 1999 17:49:34 +0100

base-passwd (3.0.5) unstable; urgency=low

  * Make postinst smarted to check if changes should be made, and if so
    ask the user if he agrees.
  * Update the README

 -- Wichert Akkerman <wakkerma@debian.org>  Mon, 29 Nov 1999 17:43:40 +0100

base-passwd (3.0.4) unstable; urgency=low

  * Add newline at the end of the usage information
  * Add video group with gid 44
  * Reserve uid&gid for mysql, Closes: #28158
  * Run update-passwd without --dry-run but with --verbose

 -- Wichert Akkerman <wakkerma@debian.org>  Mon, 29 Nov 1999 02:32:32 +0100

base-passwd (3.0.3) experimental; urgency=low

  * Handle NIS entries in group as well

 -- Wichert Akkerman <wakkerma@debian.org>  Mon, 15 Nov 1999 00:59:02 +0100

base-passwd (3.0.2) experimental; urgency=low

  * Set standards-version to 3.0.1 to make lintian silent
  * Pass description of what we are processing to process_(new|old)_entries
  * Set umask in put_file_in_place() so we can use it elsewhere as well

 -- Wichert Akkerman <wakkerma@debian.org>  Sun, 14 Nov 1999 13:44:56 +0100

base-passwd (3.0.1) experimental; urgency=low

  * Don't attempt to lock when doing a dry run
  * Also copy the gid when we're copying a passwd-node
  * Set umask to 0077 before creating any files
  * Copy filemodes and ownership to new file

 -- Wichert Akkerman <wakkerma@debian.org>  Sun, 14 Nov 1999 04:22:49 +0100

base-passwd (3.0) experimental; urgency=low

  * Change homedirectory for man to /var/cache/man
  * Complete rewrite of update-passwd
  * Call update-passwd --dry-run in the postinst so people get
    a chance to check for bugs before we destroy their system

 -- Wichert Akkerman <wakkerma@debian.org>  Sun, 14 Nov 1999 04:02:08 +0100

base-passwd (2.1.1) unstable; urgency=low

  * Update location of GPL in copyright
  * Actually change maintainer in debian/control
  * Completely redid debian/rules
  * FHS
  * Use Pre-Depends instead of Depends 

 -- Wichert Akkerman <wakkerma@debian.org>  Fri,  5 Nov 1999 14:06:32 +0100

base-passwd (2.1) unstable; urgency=low

  * New maintainer
  * Update versionnumber for no reason at all


