=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: base-passwd
 Section: base
 Priority: required
-Maintainer: Galen Hazelwood <galenh@micron.net>
-Standards-Version: 2.3.0.0
+Maintainer: Wichert Akkerman <wakkerma@debian.org>
+Standards-Version: 3.1.1
 
 Package: base-passwd
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Pre-Depends}
 Essential: yes
 Replaces: base
 Description: Debian Base System Password/Group Files
