## base-passwd 3.4.1

=== debian/changelog ===
base-passwd (3.4.1) unstable; urgency=low

  * Change directory for gnats to /var/lib/gnats on new installs. Do
    not change it for existing systems. Closes: Bug#133121

 -- Wichert Akkerman <wakkerma@debian.org>  Sat,  9 Feb 2002 19:44:57 +0100

base-passwd (3.4.0) unstable; urgency=medium

  * Don't reorder entries while reading them. Closes: Bug#130735

 -- Wichert Akkerman <wakkerma@debian.org>  Sun,  3 Feb 2002 22:36:13 +0100

base-passwd (3.3.0) unstable; urgency=medium

  * Fix typo in postinst prompt. Closes: Bug#130662
  * Remove ancient code from Galen from the source
  * Relicense under just version 2 of the GNU GPL
  * Check for noninteractive debconf frontend and handle redirected
    input in the postinst. Closes: Bug#130362
  * Correct extension of backup file in postinst. Closes: Bug#130366
  * Remove all Linux references
  * Be even more paranoid in fputpwent so we can handle syntactically
    incorrect entries as well. Closes: Bug#130192
  * Remove bashisms from debian/rules
  * Do a better job at stripping update-passwd

 -- Wichert Akkerman <wakkerma@debian.org>  Thu, 24 Jan 2002 16:44:28 +0100
 

base-passwd (3.2.3) unstable; urgency=high

  * Major paper brown bag release
  * Do not swap uid and gid in putpwent. Closes: Bug#130032
  * If we are upgrading from 3.2.2 explain the uid/gid problem and
    offer to restore the previous passwd file

 -- Wichert Akkerman <wakkerma@debian.org>  Sun, 20 Jan 2002 17:08:01 +0100

base-passwd (3.2.2) unstable; urgency=high

  * Implement our own putpwent since the GNU libc version will happily 
    give root access to everyone when encountering NIS compat entries.
    Closes: Bug#123345
  * Fix typo in error message when reading group files
  * Remove majordomo user and group from master passwd and group files
    Closes: Bug#108071,#87214
  * Change mail homedirectory to /var/mail. Closes: Bug#95670
  * Improve test for nscd presence. Hopefully Closes: Bug#95479
  * Include section and priority in control file

 -- Wichert Akkerman <wakkerma@debian.org>  Sat, 19 Jan 2002 18:18:17 +0100

base-passwd (3.2.1) unstable; urgency=low

  * Use a 8192 byte buffer for reading passwd and group entries. If
    someone has a group with over 8kb of group members we will still
    break (libc has no way to prevent that), but such a system will
    be so rate I doubt we will even run into it.
    Closes: Bug#51577,#51692,#69819
  * Tell nscd to invalidate the user and group cache if we make any
    changes. Closes: Bug#51943
  * Fix a typo in the update-passwd manpage. Closes: Bug#53857,#75791
  * Don't create the msql user and group anymore by default.
    Closes: Bug#55878,#87213
  * Don't create the dos user and group anymore by default. Closes: Bug#69485
  * Note that tac-plus uses the static uid and gid 64005. Closes: Bug#63759

 -- Wichert Akkerman <wakkerma@debian.org>  Sat, 21 Apr 2001 20:30:49 +0200

base-passwd (3.2.0) unstable; urgency=low

  * Update Standards-Version to 3.2.1
  * Modify update-passwd to use seperate flag lists for users and
    groups
  * Actually honour noautoadd flag
  * Use asprintf so we are no longer bound by PATH_MAX limits. This
    has the unfortunate side effect of making update-passwd dependent
    on glibc. We'll deal with that when somebody files a bugreport.

 -- Wichert Akkerman <wakkerma@debian.org>  Sun, 15 Oct 2000 14:09:52 +0200
