## base-passwd 3.5.7

=== debian/changelog ===
base-passwd (3.5.7) unstable; urgency=low

  * Improve documentation of 'operator' (Peter Benie).
  * In fact, remove the 'operator' user (not group) entirely from new
    installations. It will not be automatically removed from existing
    installations. Its uses are historical and not well-supported by Debian
    anyway, and a local administrator can easily set up something
    appropriate without it having to be in everyone's /etc/passwd file
    (closes: #198943).

 -- Colin Watson <cjwatson@debian.org>  Sat, 24 Jan 2004 14:40:21 +0000

base-passwd (3.5.6) unstable; urgency=low

  * Show names of groups when changing users' group ids (closes: #217511).
    This incidentally means that group has to be updated before passwd,
    since groups might be changed in the same update-passwd run.
  * Update Standards-Version: to 3.6.0. Higher policy versions require
    prompting via debconf, which is a major code change that hasn't been
    done yet.

 -- Colin Watson <cjwatson@debian.org>  Sat, 17 Jan 2004 11:58:19 +0000

base-passwd (3.5.5) unstable; urgency=low

  * Add md5sums control file.

 -- Colin Watson <cjwatson@debian.org>  Tue,  9 Dec 2003 02:24:15 +0000

base-passwd (3.5.4) unstable; urgency=low

  * Move the man pages into their own directory in the source package.
  * Change irc's home directory to /var/run/ircd, which seems to exist in
    most ircd-providing packages (closes: #198913).
  * Update Standards-Version: to 3.5.10.

 -- Colin Watson <cjwatson@debian.org>  Fri, 27 Jun 2003 23:45:58 +0100

base-passwd (3.5.3) unstable; urgency=low

  * The noautoadd flag has been broken since 3.2.0: update-passwd was
    looking at the wrong id. Fortunately, since noautoadd entries aren't in
    the master files, this didn't matter except that it caused a segfault on
    empty system files (closes: #189196).

 -- Colin Watson <cjwatson@debian.org>  Wed, 16 Apr 2003 13:44:55 +0100

base-passwd (3.5.2) unstable; urgency=low

  * Fix groff problems, mainly the use of "-", throughout update-passwd(8).
    I've attempted to keep the Polish translation in step.
  * Allocate static uid/gid 64020 for asterisk (Jeff Noxon).
  * Update Standards-Version: to 3.5.9.

 -- Colin Watson <cjwatson@debian.org>  Sat, 12 Apr 2003 15:14:49 +0100

base-passwd (3.5.1) unstable; urgency=low

  * For consistency with the rest of group.master, don't put the lp user in
    its group explicitly. We pick that up from passwd.master already.
  * Avoid using the 'users' group for any system users (part of #25882):
    - Change the sync user's group to nogroup.
    - Change the games user's group to be the already-existing games group.
    - Create a man group (gid 12) and set that as the man user's group.
  * Don't use 'command -v' in postinst; include a pure shell implementation
    instead.
  * Make '[' argument syntax in postinst strict enough that posh can cope
    with it.
  * Change nobody's home directory to /nonexistent (the name is mostly for
    documentation purposes), following the BSDs (closes: #135732).
  * Strip update-passwd after installing it into the temporary tree, not
    before.
  * Fix a segfault while removing accounts.

 -- Colin Watson <cjwatson@debian.org>  Fri, 28 Feb 2003 01:35:18 +0000

base-passwd (3.5.0) unstable; urgency=low

  * Remove the postgres user and group for new installations, although not
    on upgrades. postgresql 7.1release-3 and up will create a user and group
    for itself in the system range (closes: #81222, #95557).
  * When using fget*ent_r(), we're supposed to reallocate larger and larger
    chunks of memory until we find one in which each passwd/group/shadow
    line fits, and there's an arbitrary limit on the length of lines because
    we don't. Since update-passwd is single-threaded, this is unnecessary;
    just use fget*ent() and copy the returned structures (closes: #109038).

 -- Colin Watson <cjwatson@debian.org>  Sat,  8 Feb 2003 00:25:32 +0000

base-passwd (3.4.7) unstable; urgency=low

  * Clarify description (thanks, Filip Van Raemdonck; closes: #178170).
  * Make -v/--verbose, and thus the postinst, a little less verbose. A
    second -v option restores the previous level of verbosity.
  * Build with -Wall. Implement DEB_BUILD_OPTIONS=noopt.
  * users-and-groups:
    - Add Robert Bihlmeyer's comments about daemon, sys, tty, lp, and
      nogroup (closes: #178460).
    - Improvements to nobody/nogroup and operator documentation suggested by
      Tony Finch.
    - Include LSB 1.3 comments on bin and daemon.

 -- Colin Watson <cjwatson@debian.org>  Sat,  1 Feb 2003 18:01:49 +0000

base-passwd (3.4.6) unstable; urgency=low

  * Build users-and-groups.txt as well as users-and-groups.html.
  * Clarify the purpose of group mail a little.
  * Per Debian policy, utmp can write to /var/log/wtmp and /var/log/lastlog
    as well, so document this.
  * Update Standards-Version: to 3.5.8.
  * Correct "changing shell" message to print both the original and new
    values (thanks, Joost van Baal; closes: #178057).
  * Include Polish translation of update-passwd(8) (thanks, Marcin Owsiany;
    closes: #160146).

 -- Colin Watson <cjwatson@debian.org>  Thu, 23 Jan 2003 19:27:09 +0000

base-passwd (3.4.5) unstable; urgency=medium

  * Fix a thinko that caused update-passwd never to add new passwd/group
    entries unless a NIS compat entry was present (closes: #174187).

 -- Colin Watson <cjwatson@debian.org>  Tue, 24 Dec 2002 17:46:39 +0000

base-passwd (3.4.4) unstable; urgency=low

  * Downcase the short description, apart from "Debian" (closes: #134614).
  * Add initial informative documentation of the global static users and
    groups (closes: #50304). This is a work in progress, so feel free to
    send suggestions and corrections.
  * Ensure that new entries are added before "+" entries (which ignore the
    rest of the file and switch to NIS) (closes: #166756). Existing entries
    are reordered if and only if they're in the master files. See #130735.


