## base-passwd 3.5.7.osso1

=== debian/changelog ===
base-passwd (3.5.7.osso1) unstable; urgency=low

  * unneeded build-dep to w3m removed

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Thu, 25 May 2006 12:26:17 +0300
