## base-passwd 3.5.9

=== debian/changelog ===
base-passwd (3.5.9) unstable; urgency=low

  * Add and document static group plugdev, gid 46, for use by pmount and
    similar tools to allow local users to mount removable devices without
    the need for entries in /etc/fstab (closes: #283233).

 -- Colin Watson <cjwatson@debian.org>  Sat,  4 Dec 2004 10:15:06 +0000

base-passwd (3.5.8) unstable; urgency=low

  * Fix typoes in README.
  * Clarify in README that packages may not make use of ids in the
    60000-64999 range without *first* having them allocated by this package.
  * Allocate static uid/gid 64025 for vpopmail/vchkpw (Pawel Wiecek,
    closes: #270719).

 -- Colin Watson <cjwatson@debian.org>  Thu,  9 Sep 2004 00:06:00 +0100
