=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: required
 Maintainer: Colin Watson <cjwatson@debian.org>
 Standards-Version: 3.6.0
-Build-Depends: sgmltools-lite
+Build-Depends: sgmltools-lite, w3m
 
 Package: base-passwd
 Architecture: any
