=== debian/rules ===
--- 
+++ 
@@ -11,14 +11,22 @@
 .PHONY: all build
 all build: Makefile
 	$(MAKE) 
+	$(MAKE) -C doc
 
 .PHONY: clean
 clean:
-	-make mrproper
+	-$(MAKE) mrproper
+	$(MAKE) -C doc clean
 	rm -rf debian/tmp debian/files debian/substvars
 
+ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+CFLAGS := -g -O2 -Wall
+else
+CFLAGS := -g -Wall
+endif
+
 Makefile: Makefile.in configure.in
-	./configure
+	CFLAGS="$(CFLAGS)" ./configure
 
 .PHONY: binary
 binary: binary-arch binary-indep
@@ -32,16 +40,20 @@
 	test "`id -u`" -eq 0
 	-rm -rf debian/tmp debian/files debian/substvars
 
-	strip --strip-unneeded --remove-section=.comment \
-		--remove=section=.note update-passwd
-
 	install -d -m 755 -o root -g root debian/tmp/usr/sbin
 	install -p -m 755 -o root -g root update-passwd debian/tmp/usr/sbin/
 
-	install -d -m 755 -o root -g root debian/tmp/usr/share/man/man8
-	install -p -m 644 -o root -g root update-passwd.8 \
+	strip --strip-unneeded --remove-section=.comment \
+		--remove-section=.note debian/tmp/usr/sbin/update-passwd
+
+	install -d -m 755 -o root -g root \
+		debian/tmp/usr/share/man/man8 debian/tmp/usr/share/man/pl/man8
+	install -p -m 644 -o root -g root man/update-passwd.8 \
 		debian/tmp/usr/share/man/man8/
-	gzip -9 debian/tmp/usr/share/man/man8/*
+	install -p -m 644 -o root -g root man/update-passwd.pl.8 \
+		debian/tmp/usr/share/man/pl/man8/update-passwd.8
+	gzip -9 debian/tmp/usr/share/man/man8/* \
+		debian/tmp/usr/share/man/pl/man8/*
 
 	install -d -m 755 -o root -g root debian/tmp/usr/share/base-passwd
 	install -p -m 644 -o root -g root passwd.master \
@@ -54,13 +66,21 @@
 	gzip -9 debian/tmp$(docdir)/*
 	install -p -m 644 -o root -g root README debian/tmp$(docdir)/
 	install -p -m 644 -o root -g root debian/copyright debian/tmp$(docdir)/
+	install -p -m 644 -o root -g root \
+		doc/users-and-groups.html doc/users-and-groups.txt \
+		debian/tmp$(docdir)/
+	gzip -9 debian/tmp$(docdir)/users-and-groups.txt
 
 	install -d -m 755 -o root -g root debian/tmp/DEBIAN
 	install -p -m 755 -o root -g root debian/preinst debian/tmp/DEBIAN/
 	install -p -m 755 -o root -g root debian/postinst debian/tmp/DEBIAN/
-	install -p -m 755 -o root -g root debian/prerm debian/tmp/DEBIAN/
 
 	dpkg-shlibdeps -dPre-Depends debian/tmp/usr/sbin/update-passwd
 	dpkg-gencontrol -isp
+	(cd debian/tmp && \
+		find . -name DEBIAN -prune -o -type f -printf '%P\0' | \
+		xargs -r0 md5sum) > debian/tmp/DEBIAN/md5sums
+	chown root:root debian/tmp/DEBIAN/md5sums
+	chmod 644 debian/tmp/DEBIAN/md5sums
 	dpkg --build debian/tmp ..
