=== debian/rules ===
--- 
+++ 
@@ -72,7 +72,6 @@
 	gzip -9 debian/tmp$(docdir)/users-and-groups.txt
 
 	install -d -m 755 -o root -g root debian/tmp/DEBIAN
-	install -p -m 755 -o root -g root debian/preinst debian/tmp/DEBIAN/
 	install -p -m 755 -o root -g root debian/postinst debian/tmp/DEBIAN/
 
 	dpkg-shlibdeps -dPre-Depends debian/tmp/usr/sbin/update-passwd
