## base-passwd 3.5.11

=== debian/changelog ===
base-passwd (3.5.11) unstable; urgency=low

  * Update GPL notices with the FSF's new address.
  * Add po4a infrastructure and French translation of update-passwd(8)
    (thanks, Nicolas François; closes: #326550).
  * Fix syntax error in ssh group documentation.

 -- Colin Watson <cjwatson@debian.org>  Thu, 15 Dec 2005 10:51:34 +0000
