=== debian/rules ===
--- 
+++ 
@@ -12,11 +12,16 @@
 all build: Makefile
 	$(MAKE) 
 	$(MAKE) -C doc
+	$(MAKE) -C man
 
 .PHONY: clean
 clean:
+	# make sure the POT and POs are up to date
+	$(MAKE) -C man update
+
 	-$(MAKE) mrproper
 	$(MAKE) -C doc clean
+	$(MAKE) -C man clean
 	rm -rf debian/tmp debian/files debian/substvars
 
 ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
@@ -47,12 +52,17 @@
 		--remove-section=.note debian/tmp/usr/sbin/update-passwd
 
 	install -d -m 755 -o root -g root \
-		debian/tmp/usr/share/man/man8 debian/tmp/usr/share/man/pl/man8
+		debian/tmp/usr/share/man/man8 \
+		debian/tmp/usr/share/man/fr/man8 \
+		debian/tmp/usr/share/man/pl/man8
 	install -p -m 644 -o root -g root man/update-passwd.8 \
 		debian/tmp/usr/share/man/man8/
+	install -p -m 644 -o root -g root man/update-passwd.fr.8 \
+		debian/tmp/usr/share/man/fr/man8/update-passwd.8
 	install -p -m 644 -o root -g root man/update-passwd.pl.8 \
 		debian/tmp/usr/share/man/pl/man8/update-passwd.8
 	gzip -9 debian/tmp/usr/share/man/man8/* \
+		debian/tmp/usr/share/man/fr/man8/* \
 		debian/tmp/usr/share/man/pl/man8/*
 
 	install -d -m 755 -o root -g root debian/tmp/usr/share/base-passwd
