## base-passwd 3.5.11build1

=== debian/changelog ===
base-passwd (3.5.11build1) gutsy; urgency=low

  * No-change upload to include stack protector.

 -- Kees Cook <kees@ubuntu.com>  Wed, 01 Aug 2007 23:48:38 -0700
