## base-passwd 3.5.11.osso3

=== debian/changelog ===
base-passwd (3.5.11.osso3) unstable; urgency=low

  * Add user to video group. Fixes: NB#37359

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed,  9 Aug 2006 13:26:17 +0300

base-passwd (3.5.11.osso2) unstable; urgency=low

  * Patch group/passwd to remove osso-core-config user parts
  * Changed postinst to override passwd/group when installing for the first time

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu,  3 Aug 2006 13:10:27 +0300

base-passwd (3.5.11.osso1) unstable; urgency=low

  * Removed documentation generation and the dependences
    (sgmltools-lite, w3m, po4a)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 28 Feb 2006 17:12:59 +0200
