=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: base
 Priority: required
 Maintainer: Colin Watson <cjwatson@debian.org>
+Build-Depends: dpatch
 Standards-Version: 3.6.0
-Build-Depends: sgmltools-lite, w3m, po4a
 
 Package: base-passwd
 Architecture: any
