## base-passwd 3.5.11.osso4

=== debian/changelog ===
base-passwd (3.5.11.osso4) unstable; urgency=low

  * Binary packages are not essential anymore

 -- Grigori Timonen <Grigori.Timonen@nokia.com>  Wed, 05 Mar 2008 16:04:09 +0200
