=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
 Package: base-passwd
 Architecture: any
 Depends: ${shlibs:Pre-Depends}
-Essential: yes
 Replaces: base
 Description: Debian base system master password and group files
  These are the canonical master copies of the user database files
