=== debian/rules ===
--- 
+++ 
@@ -8,15 +8,17 @@
 # Other stuff
 SHELL		= /bin/bash
 
+include /usr/share/dpatch/dpatch.make
+
 .PHONY: all build
-all build: Makefile
+all build: patch-stamp Makefile
 	$(MAKE) 
-	$(MAKE) -C doc
-	$(MAKE) -C man
+#	$(MAKE) -C doc
+#	$(MAKE) -C man
 
 .PHONY: clean
-clean:
-	# make sure the POT and POs are up to date
+clean: unpatch
+# make sure the POT and POs are up to date
 	$(MAKE) -C man update
 
 	-$(MAKE) mrproper
@@ -51,19 +53,19 @@
 	strip --strip-unneeded --remove-section=.comment \
 		--remove-section=.note debian/tmp/usr/sbin/update-passwd
 
-	install -d -m 755 -o root -g root \
-		debian/tmp/usr/share/man/man8 \
-		debian/tmp/usr/share/man/fr/man8 \
-		debian/tmp/usr/share/man/pl/man8
-	install -p -m 644 -o root -g root man/update-passwd.8 \
-		debian/tmp/usr/share/man/man8/
-	install -p -m 644 -o root -g root man/update-passwd.fr.8 \
-		debian/tmp/usr/share/man/fr/man8/update-passwd.8
-	install -p -m 644 -o root -g root man/update-passwd.pl.8 \
-		debian/tmp/usr/share/man/pl/man8/update-passwd.8
-	gzip -9 debian/tmp/usr/share/man/man8/* \
-		debian/tmp/usr/share/man/fr/man8/* \
-		debian/tmp/usr/share/man/pl/man8/*
+# 	install -d -m 755 -o root -g root \
+# 		debian/tmp/usr/share/man/man8 \
+# 		debian/tmp/usr/share/man/fr/man8 \
+# 		debian/tmp/usr/share/man/pl/man8
+# 	install -p -m 644 -o root -g root man/update-passwd.8 \
+# 		debian/tmp/usr/share/man/man8/
+# 	install -p -m 644 -o root -g root man/update-passwd.fr.8 \
+# 		debian/tmp/usr/share/man/fr/man8/update-passwd.8
+# 	install -p -m 644 -o root -g root man/update-passwd.pl.8 \
+# 		debian/tmp/usr/share/man/pl/man8/update-passwd.8
+# 	gzip -9 debian/tmp/usr/share/man/man8/* \
+# 		debian/tmp/usr/share/man/fr/man8/* \
+# 		debian/tmp/usr/share/man/pl/man8/*
 
 	install -d -m 755 -o root -g root debian/tmp/usr/share/base-passwd
 	install -p -m 644 -o root -g root passwd.master \
@@ -76,10 +78,10 @@
 	gzip -9 debian/tmp$(docdir)/*
 	install -p -m 644 -o root -g root README debian/tmp$(docdir)/
 	install -p -m 644 -o root -g root debian/copyright debian/tmp$(docdir)/
-	install -p -m 644 -o root -g root \
-		doc/users-and-groups.html doc/users-and-groups.txt \
-		debian/tmp$(docdir)/
-	gzip -9 debian/tmp$(docdir)/users-and-groups.txt
+# 	install -p -m 644 -o root -g root \
+# 		doc/users-and-groups.html doc/users-and-groups.txt \
+# 		debian/tmp$(docdir)/
+# 	gzip -9 debian/tmp$(docdir)/users-and-groups.txt
 
 	install -d -m 755 -o root -g root debian/tmp/DEBIAN
 	install -p -m 755 -o root -g root debian/postinst debian/tmp/DEBIAN/
