## base-passwd 3.5.11.osso10

=== debian/changelog ===
base-passwd (3.5.11.osso10) unstable; urgency=low

  * Updated maintainer field
  * Update 02group.dpatch, add spool:*:65100: group
  * Split patch to passwd and group
  * Increase version more, to override previous project.

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 25 Feb 2009 18:05:51 +0200
