=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: base-passwd
 Section: base
 Priority: required
-Maintainer: Colin Watson <cjwatson@debian.org>
+Maintainer: Yauheni Kaliuta <yauheni.kaliuta@nokia.com>
+Original-Maintainer: Colin Watson <cjwatson@debian.org>
 Build-Depends: dpatch
 Standards-Version: 3.6.0
