=== debian/changelog ===
base-passwd (3.5.16) unstable; urgency=low

  * Register users-and-groups with doc-base (closes: #451680).

 -- Colin Watson <cjwatson@debian.org>  Sun, 18 Nov 2007 00:44:46 +0000

base-passwd (3.5.15) unstable; urgency=low

  * Use autotools-dev's recommended ./configure --build and --host options
    (closes: #451123).

 -- Colin Watson <cjwatson@debian.org>  Sat, 17 Nov 2007 20:00:42 +0000

base-passwd (3.5.14) unstable; urgency=low

  * Allocate uid/gid 64030 for slurm (Gennaro Oliva, closes: #444412).
  * Update to Autoconf 2.61.

 -- Colin Watson <cjwatson@debian.org>  Mon, 12 Nov 2007 10:40:26 +0000

base-passwd (3.5.13) unstable; urgency=low

  * users-and-groups improvements from Justin Pryzby (closes: #440306):
    - jabberd no longer runs as daemon.
    - www-data no longer owns log files as of apache2.

 -- Colin Watson <cjwatson@debian.org>  Fri, 31 Aug 2007 13:58:21 +0100

base-passwd (3.5.12) unstable; urgency=low

  * Change section to admin, matching the override file.
  * Support DEB_BUILD_OPTIONS=nostrip (closes: #436542).

 -- Colin Watson <cjwatson@debian.org>  Wed, 08 Aug 2007 11:44:44 +0100
